# PSF-LoginServer - master - net.psforever.actors.zone.BuildingActor
PSF - LoginServer - master - net.psforever.actors.zone.BuildingActor
Keywords: PSF LoginServer master net.psforever.actors.zone.BuildingActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package zone
  Definition Classes
    actors
- BuildingActor
- FakeNtuSource
- ZoneActor

o

net.psforever.actors.zone

# BuildingActor 

###
Companion class BuildingActor

#### object BuildingActor

Source
  BuildingActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BuildingActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class AmenityStateChange (obj: Amenity, data: Option[Any]) extends Command with Product with Serializable
2.  sealed trait Command extends AnyRef
3.  final case class MapUpdate () extends Command with Product with Serializable
4.  final case class Ntu (command: commands.NtuCommand.Command) extends Command with Product with Serializable
5.  final case class NtuDepleted () extends Command with Product with Serializable
6.  final case class PowerOff () extends Command with Product with Serializable
7.  final case class PowerOn () extends Command with Product with Serializable
8.  final case class SetFaction (faction: types.PlanetSideEmpire.Value) extends Command with Product with Serializable
9.  final case class SuppliedWithNtu () extends Command with Product with Serializable
10.  final case class UpdateForceDome (state: Option[Boolean]) extends Command with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(zone: Zone, building: Building): Behavior[Command]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def checkForceDomeStatus(building: Building): Option[Boolean]

   If this building is a capitol major facility, use the faction affinity, the generator status, and the resource silo's capacitance level to determine if the capitol force dome should be active.

   If this building is a capitol major facility, use the faction affinity, the generator status, and the resource silo's capacitance level to determine if the capitol force dome should be active.

   building

     the building being evaluated

   returns

     the condition of the capitol force dome; `None`, if the facility is not a capitol building; `Some(true|false)` to indicate the state of the force dome

7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def invalidBuildingCapitolForceDomeConditions(building: Building): Boolean

    The natural conditions of a facility that is not eligible for its capitol force dome to be expanded.

    The natural conditions of a facility that is not eligible for its capitol force dome to be expanded. The only test not employed is whether or not the target building is a capitol. Ommission of this condition makes this test capable of evaluating subcapitol eligibility for capitol force dome expansion.

    building

      the target building

    returns

      `true`, if the conditions for capitol force dome are not met; `false`, otherwise

14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  object AmenityStateChange extends Serializable
24.  object UpdateForceDome extends Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped